#!/usr/bin/env sh

. /usr/local/Reductor/etc/const
# shellcheck disable=SC1090

set -eu

# TODO: built-in while read to wget_quote < input > output
wget_quote() {
	prefix="$1"
	inputfile="$2"
	if ! grep "[%А-Яа-я]" "$inputfile" > "$LISTDIR/tmp/$prefix.wget.tmp"; then
		cat "$inputfile"
		return
	fi
	while read -r line; do
		LANG=ru_RU.UTF-8 "$BINDIR/wget_quote" "$line" 2>/dev/null
	done < "$LISTDIR/tmp/$prefix.wget.tmp" > "$LISTDIR/tmp/$prefix.wget"
	LC_ALL='' LC_CTYPE='' LANG='' sort -u "$LISTDIR/tmp/$prefix.wget" "$inputfile"
}

main() {
	local prefix="$1"
	local proto="${prefix##url_}"
	local input="$LISTDIR/tmp/$prefix.all"
	local wget="$LISTDIR/tmp/$prefix.wget"
	local processed="$LISTDIR/tmp/$prefix.processed"
	local bad="$LISTDIR/tmp/$prefix.bad"
	local output="$LISTDIR/tmp/$prefix.normal"
	local bin="$BINDIR/lower_host.py"
	[ -d /cfg ] && bin="${bin}c"
	wget_quote "$prefix" "$input" > "$wget"
	proto=$proto nice -n 19 python "$bin" < "$wget" > "$processed"
	egrep -v "$proto://[^.]+/" "$processed" > "$output" || true
	if egrep "$proto://[^.]+/" "$processed" > "$bad"; then
		log "WARNING: $processed содержит строки с доменами первого уровня!"
		log "WARNING: скорее всего это произошло из-за ошибки в собственных списках. Они будут проигнорированы. Исправьте эти записи."
		cat "$bad"
	fi
}

main "$@"
