#!/bin/bash

. /etc/init.d/functions
. /usr/local/Reductor/etc/const


maintainance_required() {
	local rc=1
	$BINDIR/ipset_ctl need_recreate && log "Изменились ipset" && rc=0
	$BINDIR/modules_ctl need_reload && log "Изменились модули" && rc=0
	[ "${1:-}" = '--force' ] && log "Передан параметр --force" && rc=0
	return "$rc"
}

restart_hard() {
	log "При этом перезапуске необходимо техническое обслуживание."
	$BINDIR/maintain.sh lock
	$BINDIR/stop.sh
	echo_result
	$BINDIR/start.sh
}

restart_soft() {
	log "Режим технического обслуживания не требуется."
	if ! $BINDIR/start.sh; then
		export MAINTAINANCE_REQUIRED=1
		restart_hard
	fi
}

main() {
	log "restart $@ by $(who am i | awk '{print $1" "$5}')"
	log "restart $@ by $(who am i | awk '{print $1" "$5}')" >> $LOGDIR/reductor.log
	MAINTAINANCE_REQUIRED=0
	# reverse logic, func return 0 - need restart, 1,2,3 - don't need
	! maintainance_required "$@" || MAINTAINANCE_REQUIRED=$?
	log MAINTAINANCE_REQUIRED=$MAINTAINANCE_REQUIRED
	export MAINTAINANCE_REQUIRED

	service rknd stop || true
	if [ "$MAINTAINANCE_REQUIRED" -gt 0 ]; then
		restart_hard
	else
		restart_soft
	fi
	echo_result return
}

main "$@"
