#!/bin/bash


app=""
[ -d /app/reductor ] && app="/app/reductor/"
. "$app/usr/local/Reductor/etc/const"
. "$CONFIG"

# shellcheck disable=SC1090
. $BINDIR/setup_gui_lib.sh
# shellcheck disable=SC1090
. $BINDIR/setup_network_lib.sh
mkdir -p "$TMPDIR"

# we need to redefine it because now we are running not in chroot
# and save_and_exit assumes chroot
if [ -d /app/reductor/ ]; then
	export CONFIG=$app/cfg/config
	export USERDIR=$app/cfg/userinfo
fi

cleanup() {
	rm -f $TMPDIR/mirror_device
	if [ -f $USERDIR/mirror_info.conf ]; then
		mv -f $USERDIR/mirror_info.conf{,.bk}
	fi
}

main() {
	show_msg "Настройка приема зеркала трафика.
Предварительно рекомендуется настроить зеркало трафика на коммутаторе или маршрутизаторе и направить в дополнительную сетевую карту на сервере Carbon Reductor."
	mirror_info_for_up_interfaces
	cleanup
	select_mirror_type 2>$TMPDIR/mirror_type
	read mirror_type < $TMPDIR/mirror_type
	if ! [[ "$mirror_type" =~ (l2_vlan_only|l2_vlan_mixed|l2_eth_only|l3|l3_vlan) ]]; then
		terminate "Надо было выбрать тип зеркала трафика"
	fi

	$mirror_type
	sort -u $USERDIR/mirror_info.conf > $USERDIR/mirror_info.conf.tmp
	mv -f $USERDIR/mirror_info.conf{.tmp,}
	$BINDIR/setup_network_gen.sh
	if [ ! -d /app/reductor ]; then
		! ask "Применить новые настройки сети?" || /etc/init.d/network restart
	fi
}

${1:-main}
