#!/bin/bash

. /usr/local/Reductor/etc/const
. /etc/init.d/functions
# shellcheck disable=SC1090
. $CONFIG

mkdir -p $TMPDIR

umount_work() {
	log "Отмонтируем файловые системы из старых бэкапов."
	chroot_umount
	for point in dev proc; do
		if mount | grep -q $CHROOTDIR/$point; then
			for dir in /usr/local/*/reductor_container/$point; do
				df -h "$dir" | egrep -q "^$point" && umount $dir
			done
		fi
	done
}

client_post_stop_hook() {
	return 0
}

use_hook() {
	hook=$HOOKDIR/${0##*/}
	# shellcheck disable=SC1090
	[ -x $hook ] && . $hook
}

main() {
	log "Отключается Carbon Reductor:"
	log "Все фильтрующие правила остаются на месте, замена при необходимости будет произведена при старте редуктора."
	log "Если вам необходимо полностью выключить фильтрацию, выполните:"
	log "iptables -F"
	log "iptables -X"
	umount_work
	/etc/init.d/rknd stop || true
	${BINDIR}/billing_redirect.sh stop
	client_post_stop_hook
}

use_hook
main
