#!/bin/bash

set -eu

UPDATER_HOST="update51.carbonsoft.ru"
UPDATER_PORT="555"
HOTFIX_DIR="/var/lib/reductor/hotfix/"
HOTFIX_SCRIPT="$HOTFIX_DIR/apply.sh"

mkdir -p "$HOTFIX_DIR"
date "+%Y-%m-%d %H:%M:%S $0 [${PPID:-0}:$$]: Проверяем наличие обновления"

updated=0
for try in {1..3}; do # avoiding xinetd limit
	delay="$((RANDOM % 60))"
	date "+%Y-%m-%d %H:%M:%S $0 [${PPID:-0}:$$]: Запрос #$try через $delay сек."
	sleep "$delay"
	rsync --block-size=40507 -c --port=$UPDATER_PORT --timeout=60 -a --delete "$UPDATER_HOST::filearchive/reductor/hotfix/" "$HOTFIX_DIR" && updated=1 && break
done

if [ "$updated" = 1 ] && [ -x "$HOTFIX_SCRIPT" ]; then
	$HOTFIX_SCRIPT
fi
