#!/bin/bash

. /usr/local/Reductor/etc/const
. $MENULIB
. $CONFIG

lists_cleanup() {
	rm -f $DUMPXML
	rm -f "${DUMPXML/dump.xml/register.zip}"
	rm -rf lists/load/
	rm -rf lists/provider/
	rm -rf lists/carbonsoft/
	rm -rf lists/rkn/
	rm -rf lists/revisor/
	mkdir -p $LISTDIR/{load,provider,carbonsoft,rkn,revisor}
	> $CACHDIR/https_resolv.json
	> $CACHDIR/signatures.cache
	$BINDIR/update.sh
}

config_cleanup() {
	filter['workaround']='0'
	filter['minjust']='0'
	filter['minjust_update']='0'
	filter['https_by_ip']='0'
	filter['https_by_nslookup']='0'
	filter['forbidden_log']='0'
	filter['dns_log_level']='0'
	autoupdate['skip_sign_request']='1'
	autoupdate['own']='0'
	autoupdate['enabled']='0'
	autoupdate['own_server']=''
	save_and_exit
}

main() {
	config_cleanup
	lists_cleanup
	$BINDIR/restart.sh --force
}

main "$@"
