#!/bin/bash

. /usr/local/Reductor/etc/const

set -eu

hook="${HOOKDIR}/firewall.sh"

if [ -f "$hook" ]; then
	egrep -q '(FORWARD|INPUT|PREROUTING|POSTROUTING| dns)' "$hook" || exit 0
	log "Всвязи с изменением структуры цепочек firewall в 7.6.0 исправляем хук: $hook"
	read md5 _ <<< "$(md5sum "$hook")"
	INPUT='s|\<INPUT\>|reductor_input|g'
	FORWARD='s|\<FORWARD\>|reductor_forward|g'
	POSTROUTING='s|\<POSTROUTING\>|reductor_postrouting|g'
	PREROUTING='s|\<PREROUTING\>|reductor_prerouting|g'
	DNS='s|\<dns\>|reductor_dns|g'
	DNS_REVISOR='s|\<dns_revisor\>|reductor_dns_revisor|g'
	set -x
	sed -i.${md5} -E "$INPUT; $FORWARD; $POSTROUTING; $PREROUTING; $DNS; $DNS_REVISOR" "$hook"
	diff -u "$hook" "$hook.$md5" || true
fi
