#!/usr/bin/env python
""" remove useless domains from cachefile """

from sys import stdin
from dns_db import DnsDB
from dns_readline import suxreadline

__author__ = 'oleg'


def main():
    """ put domains in json dict with empty/default fields """
    db = DnsDB()
    domains_load = set(list(suxreadline()))
    for domain in domains_load:
        if not domain in db.data:
            db.entry_add(domain)
    for domain in db.data.keys():
        if domain not in domains_load:
            db.entry_del(domain)
    db.save()

if __name__ == '__main__':
    main()
